BootstrapStandby (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode.ha, class: BootstrapStandby

Package org.apache.hadoop.hdfs.server.namenode.ha

# Class BootstrapStandby

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.ha.BootstrapStandby

All Implemented Interfaces:
  `org.apache.hadoop.conf.Configurable`, `org.apache.hadoop.util.Tool`

@Private public class BootstrapStandby extends Object implements org.apache.hadoop.util.Tool, org.apache.hadoop.conf.Configurable
Tool which allows the standby node's storage directories to be bootstrapped by copying the latest namespace snapshot from the active namenode. This is used when first configuring an HA cluster.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BootstrapStandby()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.conf.Configuration`
  `getConf()`
  `NamespaceInfo`
  `getProxyNamespaceInfo(NamenodeProtocol proxy)`
  `int`
  `run(String[] args)`
  `static int`
  `run(String[] argv, org.apache.hadoop.conf.Configuration conf)`
  `void`
  `setConf(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BootstrapStandby

    public BootstrapStandby()

- ## Method Details

  - ### run

    public int run(String[] args) throws Exception
    Specified by:
      `run` in interface `org.apache.hadoop.util.Tool`
    Throws:
      `Exception`

  - ### getProxyNamespaceInfo

    @VisibleForTesting public NamespaceInfo getProxyNamespaceInfo(NamenodeProtocol proxy) throws IOException
    Throws:
      `IOException`

  - ### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)
    Specified by:
      `setConf` in interface `org.apache.hadoop.conf.Configurable`

  - ### getConf

    public org.apache.hadoop.conf.Configuration getConf()
    Specified by:
      `getConf` in interface `org.apache.hadoop.conf.Configurable`

  - ### run

    public static int run(String[] argv, org.apache.hadoop.conf.Configuration conf) throws IOException
    Throws:
      `IOException`